Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031739
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-11-13 14:152015-12-17 16:00
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision08244390115f
ProjectionnoneETAnoneTarget Version3.0PR15Q3.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031739: UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not

DescriptionUniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not

- The problem is reproducible until 3.0PR15Q3.3 version, whenever an update.database is done
- It is only reproducible after 3.0PR15Q4 version if the upgrade is done from MP19 or a previous version due to the solution of the 30396 bug
Steps To ReproduceAs group admin Role (in a version previous to 3.0PR15Q4):
   Create a record in the General Ledger Configuration
   Add the Account type dimension to it and select an account tree already used in another General Ledger (F&B EspaƱa, S.A. Account Account)
   Check a new account combination has been created for each element value in the tree but with the new General Ledger. This is correct
   Now deactivate all the accounting combinations related with the same Account (10000 - Capital social)

* Launch the ant smartbuild -Dlocal=no command and restart Tomcat

As group admin role:
   Check that for one of the general ledgers the account combination has been set as inactive and a new one has been created
Proposed SolutionThe selectDuplicates and updateValidCombinationDeactivateDuplicated functions in the UniqueValidCombination_data.xsql should group by c_acctschema_id
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031470 closedaferraz UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not 

-  Notes
(0082836)
hgbot (developer)
2015-12-17 15:59

Repository: erp/backports/3.0PR15Q3.5
Changeset: 08244390115f6519576b2dae2e52db56f666c94e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Dec 01 18:20:18 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/08244390115f6519576b2dae2e52db56f666c94e [^]

Fixes issue 31739: UniqueValidCombination modulescript is deactivating accounts

Add group by c_acctschema_id in selectDuplicates and updateValidCombinationDeactivateDuplicated queries in UniqueValidCombination modulescript.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UniqueValidCombinationData.class
M src-util/modulescript/src/org/openbravo/modulescript/UniqueValidCombination_data.xsql
---
(0082839)
vmromanos (developer)
2015-12-17 16:00

Code review + testing (Oracle & Postgres) OK

- Issue History
Date Modified Username Field Change
2015-12-16 17:43 vmromanos Type defect => backport
2015-12-16 17:43 vmromanos Target Version => 3.0PR15Q3.5
2015-12-17 15:59 hgbot Checkin
2015-12-17 15:59 hgbot Note Added: 0082836
2015-12-17 15:59 hgbot Status scheduled => resolved
2015-12-17 15:59 hgbot Resolution open => fixed
2015-12-17 15:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/08244390115f6519576b2dae2e52db56f666c94e [^]
2015-12-17 16:00 vmromanos Tag Attached: Approved
2015-12-17 16:00 vmromanos Note Added: 0082839
2015-12-17 16:00 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker